Bug 519383 - Review Request: python-xklavier - Python bindings for libxklavier
Summary: Review Request: python-xklavier - Python bindings for libxklavier
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 12:45 UTC by kushaldas@gmail.com
Modified: 2013-03-13 05:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 12:10:26 UTC
sundaram: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2009-08-26 12:45:02 UTC
Spec URL: http://kushal.fedorapeople.org/packages/python-xklavier.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-xklavier-0.1-1.fc11.src.rpm
Description: Python bindings for libxklavier which is a library providing 
high-level API for X Keyboard Extension known as XKB.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1634926

Comment 1 kushaldas@gmail.com 2009-08-26 12:46:26 UTC
Adding the upstream author in the CC list

Comment 2 Rahul Sundaram 2009-08-26 12:51:03 UTC
Fix the license. I will take a quick look and then approve.

Comment 3 Sayamindu Dasgupta 2009-08-26 15:07:12 UTC
Release 0.2 has the issues fixed:

http://download.sugarlabs.org/sources/external/python-xklavier/python-xklavier-0.2.tar.gz

Comment 5 Rahul Sundaram 2009-08-27 09:16:34 UTC
Looks good. Approved.

Comment 6 kushaldas@gmail.com 2009-08-27 09:21:46 UTC
New Package CVS Request
=======================
Package Name: python-xklavier
Short Description: Python bindings for libxklavier
Owners: kushal
Branches: 
InitialCC: kushal

Comment 7 Rakesh Pandit 2009-08-28 10:46:10 UTC
before importing change: %define to %global on top of your spec file, were python_sitearch is defined. Latest templates have those modifications.

Changing the ticket status to ASSIGNED.

Comment 8 Huzaifa S. Sidhpurwala 2009-08-28 11:02:01 UTC
cvs done

Comment 9 Peter Lemenkov 2009-09-25 12:10:26 UTC
Should be closed, I suppose.

Comment 10 Peter Robinson 2010-06-10 20:31:01 UTC
Package Change Request
======================
Package Name: python-xklavier
New Branches: EL-6
Owners: pbrobinson sdz

Comment 11 Kevin Fenzi 2010-06-11 04:46:36 UTC
Have you checked with kushal to see if they would like to maintain for EPEL?

Comment 12 Sebastian Dziallas 2010-07-29 14:13:36 UTC
Package Change Request
======================
Package Name: python-xklavier
New Branches: EL-6
Owners: pbrobinson sdz
InitialCC: kushal

I had filed [1] seven days ago. As per [2], I'd like to request the branch now. We need this package for the effort to bring Sugar into EPEL. I'm also a maintainer of the Fedora branches (however, not the owner).

[1] https://bugzilla.redhat.com/show_bug.cgi?id=617404
[2] http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL

Comment 13 Kevin Fenzi 2010-07-30 19:55:19 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.